# kicad-color-schemes

Want to change the color scheme of KiCad? Look here for inspiration.

## How to use a colour theme.

Every theme directory contains the colour definition parts of the eeschema and pcbnew setup files found in your personal profile.
- For Linux under ~.config/kicad/
- Windows XP: “C:\Documents and Settings\username\Application Data” + kicad (= %APPDATA%\kicad)
- Windows Vista & later: “C:\Users\username\AppData\Roaming” + kicad (= %APPDATA%\kicad)
- OSX: The user’s home directory + /Library/Preferences/kicad

Use a text editor to overwrite the relevant sections with the data found in the files in this folder. **Make sure you create a backup first.**

The pcbnew config file content has been split into the sections responsible for the footprint editor and the one for pcbnew. This is done to allow you to more easily mix and match different schemes for different tools.

## eeschema

color-scheme                                               | screenshot
-----------------------------------------------------------|-----------
**kicad-default**                                          | ![Default theme by KiCad](https://raw.githubusercontent.com/pointhi/kicad-color-schemes/master/kicad-default/eeschema.png)
**solarized-dark** *http://ethanschoonover.com/solarized*  | ![Dark theme based on solarized](https://raw.githubusercontent.com/pointhi/kicad-color-schemes/master/solarized-dark/eeschema.png)
**solarized-light** *http://ethanschoonover.com/solarized* | ![Light theme based on solarized](https://raw.githubusercontent.com/pointhi/kicad-color-schemes/master/solarized-light/eeschema.png)
**sw**                                                     | ![simple black/white theme](https://raw.githubusercontent.com/pointhi/kicad-color-schemes/master/sw/eeschema.png)

## pcbnew
color-scheme                                               | screenshot
-----------------------------------------------------------|-----------
**kicad-default**                                          | ![Default theme by KiCad](https://raw.githubusercontent.com/pointhi/kicad-color-schemes/master/kicad-default/pcbnew.png)

## footprint editor
color-scheme                                               | screenshot
-----------------------------------------------------------|-----------
**kicad-default**                                          | ![Default theme by KiCad](https://raw.githubusercontent.com/pointhi/kicad-color-schemes/master/kicad-default/footprint_editor.png)
